Summary: The GNU Bourne Again shell (bash).
Name: bash
Version: 2.04
Release: 3mdk
Group: Shells
Copyright: GPL
Source0: ftp://ftp.gnu.org/pub/gnu/bash/bash-%{version}.tar.bz2
Source1: bashrc
Source2: ftp://ftp.gnu.org/pub/gnu/bash/bash-doc-%{version}.tar.bz2
Source3: bash_alias
Patch0: bash-2.03-paths.patch.bz2
Patch1: bash-2.02-security.patch.bz2
Patch2: bash-2.04-arm.patch.bz2
Patch3: bash-2.03-profile.patch.bz2
Patch5: bash-2.04-requires.patch.bz2
Patch6: bash-strcoll-bug.diff.bz2
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root


%description
Bash is a GNU project sh-compatible shell or command language
interpreter. Bash (Bourne Again shell) incorporates useful features
from the Korn shell (ksh) and the C shell (csh). Most sh scripts
can be run by bash without modification.

Bash offers several improvements over sh, including command line
editing, unlimited size command history, job control, shell
functions and aliases, indexed arrays of unlimited size and 
integer arithmetic in any base from two to 64. Bash is ultimately
intended to conform to the IEEE POSIX P1003.2/ISO 9945.2 Shell and
Tools standard.

Bash is the default shell for Linux Mandrake. You should install
bash because of its popularity and power. You'll probably end up
using it.

%package doc
Group: Shells
Summary: Documentation for the GNU Bourne Again shell (bash).

%description doc
Bash is a GNU project sh-compatible shell or command language
interpreter. Bash (Bourne Again shell) incorporates useful features
from the Korn shell (ksh) and the C shell (csh). Most sh scripts
can be run by bash without modification.

Bash offers several improvements over sh, including command line
editing, unlimited size command history, job control, shell
functions and aliases, indexed arrays of unlimited size and 
integer arithmetic in any base from two to 64. Bash is ultimately
intended to conform to the IEEE POSIX P1003.2/ISO 9945.2 Shell and
Tools standard.

Bash is the default shell for Linux Mandrake. You should install
bash because of its popularity and power. You'll probably end up
using it.

This package include doc guid examples and manual for zsh.

%prep
%setup -q -n bash-%{version} -a 2
%patch0 -p1 -b .paths
%patch1 -p1 -b .security
%patch2 -p1 -b .arm
%patch3 -p1 -b .profile
%patch5 -p1 -b .requires
%patch6 -p1 -b .strcoll_bug
echo %{version} > _distribution
echo %{release} > _patchlevel
perl -p -i -e s/mdk// _patchlevel

%build
%configure --with-installed-readline --disable-command-timing
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make prefix=${RPM_BUILD_ROOT}%{_prefix} install

#Sucks
chmod +w doc/texinfo.tex
mv doc/README .

# Take out irritating ^H's from the documentation
for i in `ls --color=no doc/` ; \
	do cat doc/$i > $i ; \
	cat $i | perl -p -e 's/.//g' > doc/$i ; \
	rm $i ; \
	done

mkdir -p $RPM_BUILD_ROOT/bin
pushd $RPM_BUILD_ROOT && mv usr/bin/bash bin/bash && popd
pushd $RPM_BUILD_ROOT/bin && ln -s bash sh && popd
pushd $RPM_BUILD_ROOT/bin && ln -sf bash bash2 && popd

# make manpages for bash builtins as per suggestion in DOC/README
cd doc
sed -e '
/^\.SH NAME/, /\\- bash built-in commands, see \\fBbash\\fR(1)$/{
/^\.SH NAME/d
s/^bash, //
s/\\- bash built-in commands, see \\fBbash\\fR(1)$//
s/,//g
b
}
d
' builtins.1 > man.pages
install -m 644 builtins.1 $RPM_BUILD_ROOT/usr/man/man1/builtins.1

for i in `cat man.pages` ; do
  echo .so man1/builtins.1 > $RPM_BUILD_ROOT/usr/man/man1/$i.1
done

# now turn man.pages into a filelist for the man subpackage
cat man.pages |tr -s ' ' '\n' |sed '
1i\
%defattr(0644,root,man,0755)
s:^:/usr/man/man1/:
s/$/.1.bz2/
' > ../man.pages

perl -p -i -e 's\.*/(export|echo|pwd|test|kill).1.bz2\\' ../man.pages

mkdir -p $RPM_BUILD_ROOT/etc/profile.d/
install -m 755 %SOURCE3 $RPM_BUILD_ROOT/etc/profile.d/alias.sh
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/etc/

%clean
rm -rf $RPM_BUILD_ROOT

# ***** bash doesn't use install-info. It's always listed in /usr/info/dir
# to prevent prereq loops

%post

if [ ! -f /etc/shells ]; then
        echo "/bin/bash" > /etc/shells
else
        if ! grep '^/bin/bash$' /etc/shells > /dev/null; then
                echo "/bin/bash" >> /etc/shells
        fi
fi


%postun
if [ "$1" = 0 ]; then
        grep -v '^/bin/bash' < /etc/shells > /etc/shells.new
        mv /etc/shells.new /etc/shells
fi

%files -f man.pages
%defattr(-,root,root)
%doc README CHANGES
%config /etc/profile.d/alias.sh
%config /etc/bashrc
/bin/bash
/bin/bash2
/bin/sh
/usr/info/bash.info.bz2
/usr/man/man1/bash.1.bz2
/usr/man/man1/builtins.1.bz2
/usr/bin/bashbug
/usr/man/man1/bashbug.1.bz2

%files doc
%defattr(-,root,root)
%doc COMPAT NEWS NOTES CWRU/POSIX.NOTES
%doc examples/bashdb/ examples/functions/ examples/misc/
%doc examples/scripts.noah/ examples/scripts.v2/ examples/scripts/
%doc examples/startup-files/
%doc doc/*.ps doc/*.0 doc/*.html doc/article.txt

%changelog
* Sun Apr 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.04-3mdk
- Add ln bash2 to bash for rh compat.

* Fri Mar 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.04-2mdk
- Make bash link reative to sh.

* Wed Mar 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.04-1mdk
- Fix group for bash-doc.
- 2.04.

* Tue Mar 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.03-21mdk
- Fix build with spec-help.
- Upgrade groups.
- Spec clean-up.

* Thu Jan 20 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed strcoll bug

* Mon Dec 27 1999 Pixel <pixel@mandrakesoft.com>
- added alias df in alias.sh

* Mon Dec 20 1999 Frederic Lepied <flepied@mandrakesoft.com> 2.03-18mdk

- /etc/bashrc calls /etc/profile.

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove ^chars from doc.
- Rewrote specs.

* Sun Aug 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Remove the alias to ls colors in bash_alias (doble with fileutils scripts).

* Fri Aug 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix wrong group in doc package.
- Increase version ;).

* Fri Aug 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix wrong man links (#20).

* Fri Jul 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
    - Ken Estes <kestes@staff.mail.com>
      - patch to detect what executables are required by a script.

* Wed Jul 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove 'DarkTiti' hack.

* Fri Jul 16 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Make the `echo' builtin expand backslash-escaped characters by default,
  without requiring the `-e' option.  This makes the Bash `echo' behave
  more like the System V version.

* Tue Jul 9 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- french description

* Tue Jul 8 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- compiled against local libreadline (which is not compiled in now)
  => reduce the size of bash by 42%.
  Moreover, a part of its memory is shared with other readline programs (bc, ...)
- disable built-in time command (incompatible with standard POSIX time command)

* Tue May 25 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- handle RPM_OPT_FLAGS

* Sat May 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- alias.sh fix with the new syntax of bash2.

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fixing many stupid forget :-((

* Tue Apr 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Relifting of the doc-section.
- Moving the alias to a new files.

* Fri Apr  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- handle RPM_OPT_FLAGS
- add de locale
- add some aliases (ls=ls --color, md, rd, cd..) to bashrc
- fix download URLs
- make it compile if the release number contains non-digits
- We're NOT a %{arch}-redhat-linux

* Mon Feb 22 1999 Jeff Johnson <jbj@redhat.com>
- updated text in spec file.
- update to 2.03.

* Fri Feb 12 1999 Cristian Gafton <gafton@redhat.com>
- build it as bash2 instead of bash

* Tue Feb  9 1999 Bill Nottingham <notting@redhat.com>
- set 'NON_INTERACTIVE_LOGIN_SHELLS' so profile gets read

* Thu Jan 14 1999 Jeff Johnson <jbj@redhat.com>
- rename man pages in bash-doc to avoid packaging conflicts (#606).

* Wed Dec 02 1998 Cristian Gafton <gafton@redhat.com>
- patch for the arm
- use $RPM_ARCH-redhat-linux as the build target

* Tue Oct  6 1998 Bill Nottingham <notting@redhat.com>
- rewrite %pre, axe %postun (to avoid prereq loops)

* Wed Aug 19 1998 Jeff Johnson <jbj@redhat.com>
- resurrect for RH 6.0.

* Sun Jul 26 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.02.1

* Thu Jun 11 1998 Jeff Johnson <jbj@redhat.com>
- Package for 5.2.

* Mon Apr 20 1998 Ian Macdonald <ianmacd@xs4all.nl>
- added POSIX.NOTES doc file
- some extraneous doc files removed
- minor .spec file changes

* Sun Apr 19 1998 Ian Macdonald <ianmacd@xs4all.nl>
- upgraded to version 2.02
- Alpha, MIPS & Sparc patches removed due to lack of test platforms
- glibc & signal patches no longer required
- added documentation subpackage (doc)

* Fri Nov 07 1997 Donnie Barnes <djb@redhat.com>
- added signal handling patch from Dean Gaudet <dgaudet@arctic.org> that
  is based on a change made in bash 2.0.  Should fix some early exit
  problems with suspends and fg.

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- added %clean

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- added comment explaining why install-info isn't used
- added mips patch 

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc
